/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/

#if !defined(AFX_CREDCALC_H__AE856D49_CE39_4887_BFB3_045C1ABD2231__INCLUDED_)
#define AFX_CREDCALC_H__AE856D49_CE39_4887_BFB3_045C1ABD2231__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CredCalc.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCredCalc dialog

class CCredCalc : public CDialog
{
// Construction
public:
	CCredCalc(CWnd* pParent = NULL);   // standard constructor
	void CalculateCred();
	CString oldNonce;
	unsigned char ufNonce[200];
	int ufNonceSize;

// Dialog Data
	//{{AFX_DATA(CCredCalc)
	enum { IDD = IDD_CREDENTIALCALC };
	CString	m_b64;
	CString	m_b64md5;
	CString	m_cred;
	CString	m_md5;
	CString	m_nonce;
	CString	m_password;
	CString	m_user;
	BOOL	m_byte;
	BOOL	m_sync11;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCredCalc)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCredCalc)
	afx_msg void OnChangeCcuser();
	afx_msg void OnChangeCcpassword();
	afx_msg void OnChangeCcnonce();
	afx_msg void OnChangeCcb64();
	afx_msg void OnUpdateCcnonce();
	afx_msg void OnCcbyte();
	afx_msg void OnCcproto();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CREDCALC_H__AE856D49_CE39_4887_BFB3_045C1ABD2231__INCLUDED_)
